CrazyFlie 2.0 - Throwing Error KeyError [112] not found in LogTocElement.types

Discussions about all things Bitcraze
Post Reply
SaiRam435Kumar
Beginner
Posts: 2
Joined: Wed Jul 18, 2018 7:30 pm

CrazyFlie 2.0 - Throwing Error KeyError [112] not found in LogTocElement.types

Post by SaiRam435Kumar » Mon Aug 27, 2018 2:18 am

Hi guys,

I got a new crazyflie 2.0 and assembled and tried to use examples from crazyflie-lib-python folder.

example i used is basiclogSync.py and i am using bitcraze vm to do this.

i have bootloader the new Crazyflie with the latest firmware 2018.01

and i am able to connect from crazyflie client , but when i am running "basiclogSync.py"

i am getting error below

ERROR:cflib.crazyflie:Exception while doing callback on port [5]

Traceback (most recent call last):
File "/home/bitcraze/projects/crazyflie-lib-python/cflib/crazyflie/log.py", line 336, in get_cstring_from_id
return LogTocElement.types[ident][0]
KeyError: 112

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/bitcraze/projects/crazyflie-lib-python/cflib/crazyflie/__init__.py", line 392, in run
cb.callback(pk)
File "/home/bitcraze/projects/crazyflie-lib-python/cflib/crazyflie/toc.py", line 192, in _new_packet_cb
self.toc.add_element(self.element_class(ident, payload[2:]))
File "/home/bitcraze/projects/crazyflie-lib-python/cflib/crazyflie/log.py", line 370, in __init__
self.ctype = LogTocElement.get_cstring_from_id(data[0])
File "/home/bitcraze/projects/crazyflie-lib-python/cflib/crazyflie/log.py", line 339, in get_cstring_from_id
'!' % ident)
KeyError: 'Type [112] not found in LogTocElement.types!'

^CTraceback (most recent call last):
File "basiclogSync.py", line 64, in <module>
with SyncCrazyflie(available[0][0], cf=cf) as scf:
File "/home/bitcraze/projects/crazyflie-lib-python/cflib/crazyflie/syncCrazyflie.py", line 68, in __enter__
self.open_link()
File "/home/bitcraze/projects/crazyflie-lib-python/cflib/crazyflie/syncCrazyflie.py", line 63, in open_link
self._connect_event.wait()
File "/usr/lib/python3.4/threading.py", line 553, in wait
signaled = self._cond.wait(timeout)
File "/usr/lib/python3.4/threading.py", line 290, in wait



Please help me in this

arnaud
Bitcraze
Posts: 1880
Joined: Tue Feb 06, 2007 12:36 pm

Re: CrazyFlie 2.0 - Throwing Error KeyError [112] not found in LogTocElement.types

Post by arnaud » Mon Aug 27, 2018 11:05 am

The error may be related to this pull request: https://github.com/bitcraze/crazyflie-l ... on/pull/93. If you update the lib and/or the crazyflie firmware this problem should go away.

Post Reply